Package com.salesforce.hyperdb.grpc

## Enum QueryCommandOk.CommandReturnCase

- java.lang.Object
- - java.lang.Enum<QueryCommandOk.CommandReturnCase>
  - - com.salesforce.hyperdb.grpc.QueryCommandOk.CommandReturnCase

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<QueryCommandOk.CommandReturnCase>`

Enclosing class:
  QueryCommandOk

    public static enum QueryCommandOk.CommandReturnCase
    extends Enum<QueryCommandOk.CommandReturnCase>
    implements com.google.protobuf.Internal.EnumLite

### Enum Constant Summary

Enum Constants
`AFFECTED_ROWS`
`COMMANDRETURN_NOT_SET`
`EMPTY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static QueryCommandOk.CommandReturnCase` `forNumber​(int value)`
`int` `getNumber()`
`static QueryCommandOk.CommandReturnCase` `valueOf​(int value)` Deprecated.
`static QueryCommandOk.CommandReturnCase` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static QueryCommandOk.CommandReturnCase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EMPTY

    public static final QueryCommandOk.CommandReturnCase EMPTY

#### AFFECTED_ROWS

    public static final QueryCommandOk.CommandReturnCase AFFECTED_ROWS

#### COMMANDRETURN_NOT_SET

    public static final QueryCommandOk.CommandReturnCase COMMANDRETURN_NOT_SET

### Method Detail

#### values

    public static QueryCommandOk.CommandReturnCase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryCommandOk.CommandReturnCase c : QueryCommandOk.CommandReturnCase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryCommandOk.CommandReturnCase valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOf

    @Deprecated
    public static QueryCommandOk.CommandReturnCase valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static QueryCommandOk.CommandReturnCase forNumber​(int value)

#### getNumber

    public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`